<?php

namespace App\ViewModels\Medico\MedicoListViewModel;

use App\Utils\Builder;

class MedicoListViewModelBuilder implements Builder {
	protected $id;
	protected $usuario_id;
	protected $cpf;
	protected $nome;
	protected $telefone_1;
	protected $email;
	protected $documento;

	public function setId(int $id): MedicoListViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	public function setCpf(string $cpf): MedicoListViewModelBuilder {

		$this->cpf = $cpf;
		return $this;

	}

	public function setDocumento(string $documento): MedicoListViewModelBuilder {

		$this->documento = $documento;
		return $this;

	}

	public function setNome(string $nome): MedicoListViewModelBuilder {

		$this->nome = $nome;
		return $this;

	}

	public function setTelefone1(string $telefone_1): MedicoListViewModelBuilder {

		$this->telefone_1 = $telefone_1;
		return $this;

	}

	public function setUsuarioId(string $usuarioid): MedicoListViewModelBuilder {

		$this->usuario_id = $usuarioid;
		return $this;

	}

	public function setEmail($email): MedicoListViewModelBuilder {

		$this->email = $email;
		return $this;

	}

	public function build(): MedicoListViewModel {

		$medico_list_vm = new MedicoListViewModel();
		$medico_list_vm->setid( $this->id );
		$medico_list_vm->setcpf( $this->cpf );
		$medico_list_vm->setusuarioId( $this->usuario_id );
		$medico_list_vm->setnome( $this->nome );
		$medico_list_vm->settelefone1( $this->telefone_1 );
		$medico_list_vm->setDocumento( $this->documento );
		$medico_list_vm->setemail( $this->email );

		return $medico_list_vm;

	}

}